Bug 891688 - sar2pcp doesn't grok f17 /var/lib/sa files
Summary: sar2pcp doesn't grok f17 /var/lib/sa files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcp
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-03 17:24 UTC by Frank Ch. Eigler
Modified: 2013-05-07 18:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-29 02:56:29 UTC
Type: Bug


Attachments (Terms of Use)
troublemaker sa31 (1.24 MB, application/octet-stream)
2013-01-03 17:24 UTC, Frank Ch. Eigler
no flags Details
Workaround time format change in some 10.x systat versions (977 bytes, patch)
2013-01-03 23:25 UTC, Nathan Scott
no flags Details | Diff

Description Frank Ch. Eigler 2013-01-03 17:24:37 UTC
Created attachment 672135 [details]
troublemaker sa31

pcp-import-sar2pcp-3.6.10-2.fc17.x86_64
sysstat-10.0.3-2.fc17.x86_64

% sar2pcp sa31 /tmp/foo
Use of uninitialized value in subroutine entry at /bin/sar2pcp line 567.
Use of uninitialized value in subroutine entry at /bin/sar2pcp line 567.
Use of uninitialized value in subroutine entry at /bin/sar2pcp line 567.
Use of uninitialized value in subroutine entry at /bin/sar2pcp line 567.
[...]
PCP archive produced, but 7 unrecognised tag(s) detected in 143 samples:
	"fan-speed", "temperature", "in", "temp", "voltage-input", "usb", "fan"


% pmlogsummary -a /tmp/foo
Log Label (Log Format Version 2)
Performance metrics from host very.elastic.org
  commencing Wed Dec 31 19:00:00.000 1969
  ending     Wed Dec 31 19:00:00.000 1969
....

note missing timestamps, which match up with the line 567 warning.

Note we're using SADC_OPTIONS="-S ALL" in /etc/sysconfig/sysstat

Comment 1 Nathan Scott 2013-01-03 23:00:59 UTC
It appears the upstream sysstat has been changed to print the hour/minute/seconds timestamps in the form HH-MM-SS instead of the HH:MM:SS format it previously used.  Evidently this broke other peoples tools too, because it was then changed back in subsequent versions:

sysstat-10.0.2/sadf.c:	strftime(cur_time, len, "%H-%M-%S", rectime);
sysstat-10.0.3/sadf.c:	strftime(cur_time, len, "%H-%M-%S", rectime);
sysstat-10.1.1/sadf.c:	strftime(cur_time, len, "%H:%M:%S", rectime);
sysstat-5.1.1/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &loc_time);
sysstat-5.1.2/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &loc_time);
sysstat-5.1.3/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &loc_time);
sysstat-5.1.4/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &loc_time);
sysstat-5.1.5/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &loc_time);
sysstat-6.0.2/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &loc_time);
sysstat-7.0.2/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &rectime);
sysstat-7.0.4/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &rectime);
sysstat-8.0.4/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &rectime);
sysstat-9.0.6/sadf.c:	strftime(cur_time, len, "%Y-%m-%d %H:%M:%S", &rectime);

I'll add a workaround into sar2pcp, patch to follow shortly.

Comment 2 Nathan Scott 2013-01-03 23:25:32 UTC
Created attachment 672253 [details]
Workaround time format change in some 10.x systat versions

Comment 3 Nathan Scott 2013-01-04 00:27:54 UTC
PCP QA test 711 exercises this, committing to pcp dev branch shortly.

Comment 4 Nathan Scott 2013-01-04 00:40:55 UTC
For my reference, in case this ever needs to be patched back to older versions, upstream git commit is 51f4dac2644fdef72dfb39331c08670da028f9f6

That is all.  As you were.

Comment 5 Fedora Update System 2013-03-11 08:03:59 UTC
pcp-3.7.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.7.0-1.el6

Comment 6 Fedora Update System 2013-03-11 08:05:33 UTC
pcp-3.7.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-3.7.0-1.fc17

Comment 7 Fedora Update System 2013-03-11 08:06:34 UTC
pcp-3.7.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.7.0-1.el5

Comment 8 Fedora Update System 2013-03-11 08:07:53 UTC
pcp-3.7.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-3.7.0-1.fc18

Comment 9 Fedora Update System 2013-03-11 19:33:08 UTC
Package pcp-3.7.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-3.7.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0601/pcp-3.7.0-1.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-04-19 08:26:20 UTC
pcp-3.7.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.fc18

Comment 11 Fedora Update System 2013-04-19 08:27:45 UTC
pcp-3.7.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.fc17

Comment 12 Fedora Update System 2013-04-19 08:28:57 UTC
pcp-3.7.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.el6

Comment 13 Fedora Update System 2013-04-19 08:29:52 UTC
pcp-3.7.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pcp-3.7.2-1.el5

Comment 14 Fedora Update System 2013-04-29 02:52:48 UTC
pcp-3.7.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-04-29 02:56:31 UTC
pcp-3.7.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-05-07 18:07:05 UTC
pcp-3.7.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-05-07 18:12:11 UTC
pcp-3.7.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.